Install error message - "PHP module zip not installed"

Ask all your questions regarding OC 5.x Please read the Support Forum Rules
Forum rules
ownCloud 5.x reached end of life and is officially unsupported. For details see Wiki page.

Please upgrade your ownCloud.
azietara
Newbie
Posts: 4
Joined: Fri Apr 05, 2013 6:22 am
Webserver: Apache
Database: MySQL
PHP version: 5.3.21

Install error message - "PHP module zip not installed"

Postby azietara » Fri Apr 05, 2013 6:45 am

Hi,

I am using a hosted web service, followed the server installation instructions but get the message "PHP module zip not installed" when I go to configure. I can't find any reference to this error, and the tools script suggests that all appropriate zip modules are installed.

Any ideas? Install details below.

Thanks,

Andrew

---

Environment: Apache/2.2.23 (Unix) mod_ssl/2.2.23 OpenSSL/1.0.0-fips mod_bwlimited/1.4 mod_perl/2.0.6 Perl/v5.10.1
Server: x86_64 linux
Database: mySQL 5.1.66-cll
Client: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:20.0) Gecko/20100101 Firefox/20.0
OC-Version: Server 5
PHP-Version: 5.3.21

RealRancor
ownCloud master
Posts: 17381
Joined: Sat May 26, 2012 3:00 pm
ownCloud version: 9.0.2
Webserver: nginx
Database: MySQL
OS: Linux
PHP version: 7.0.x

Re: Install error message - "PHP module zip not installed"

Postby RealRancor » Fri Apr 05, 2013 8:18 am

Hi,

check with the phpinfo.php like described here:

viewtopic.php?f=17&t=7304

that the module is installed and if not ask your hoster to install it.
*gone*

azietara
Newbie
Posts: 4
Joined: Fri Apr 05, 2013 6:22 am
Webserver: Apache
Database: MySQL
PHP version: 5.3.21

Re: Install error message - "PHP module zip not installed"

Postby azietara » Fri Apr 05, 2013 8:37 am

Thanks, did that - it looks like the zip modules are installed (see output below). My service provider also tells me that they are installed as well.

---

BZip2 Support Enabled
Stream Wrapper support compress.bzip2://
Stream Filter support bzip2.decompress, bzip2.compress
BZip2 Version 1.0.5, 10-Dec-2007

Phar: PHP Archive support enabled
Phar EXT version 2.0.1
Phar API version 1.1.1
SVN revision $Id: 7b7d559811a842dc9e7d33777a8f993aa2b9933d $
Phar-based phar archives enabled
Tar-based phar archives enabled
ZIP-based phar archives enabled
gzip compression enabled
bzip2 compression enabled
OpenSSL support enabled

RealRancor
ownCloud master
Posts: 17381
Joined: Sat May 26, 2012 3:00 pm
ownCloud version: 9.0.2
Webserver: nginx
Database: MySQL
OS: Linux
PHP version: 7.0.x

Re: Install error message - "PHP module zip not installed"

Postby RealRancor » Fri Apr 05, 2013 8:50 am

Hi,

"ZIP-based phar archives enabled" and "BZip2" is not Zip. You need an output like this:

zip
Zip enabled
Extension Version $Id: 727cc853ca1ae15d995c3520c5719784ddc1e292 $
Zip version 1.11.0
Libzip version


if you cant find this in the phpinfo ask your hoster.
*gone*

azietara
Newbie
Posts: 4
Joined: Fri Apr 05, 2013 6:22 am
Webserver: Apache
Database: MySQL
PHP version: 5.3.21

Re: Install error message - "PHP module zip not installed"

Postby azietara » Fri Apr 05, 2013 9:05 am

Thanks again. Forgive my ignorance, but what should I specifically ask the hosted to install? The php zip module? Is there a specific version required?

RealRancor
ownCloud master
Posts: 17381
Joined: Sat May 26, 2012 3:00 pm
ownCloud version: 9.0.2
Webserver: nginx
Database: MySQL
OS: Linux
PHP version: 7.0.x

Re: Install error message - "PHP module zip not installed"

Postby RealRancor » Fri Apr 05, 2013 9:29 am

Mhhh, probably an installations is not needed as i found out a few minutes ago. Seems that php must be compiled with a special flag:

http://www.php.net/manual/en/zip.installation.php

because the Zip module is directly installed into PHP on a standard installation. But your hoster should know what he has to do here.
*gone*

azietara
Newbie
Posts: 4
Joined: Fri Apr 05, 2013 6:22 am
Webserver: Apache
Database: MySQL
PHP version: 5.3.21

Re: Install error message - "PHP module zip not installed"

Postby azietara » Wed Apr 10, 2013 11:42 am

Alright, figured it out. My host wouldn't install the required module on the shared hosting plan I'm on (Crazy Domains for anybody having the same problem).

So, I downloaded the full install and uploaded via FTP. Then I simply commented out the checking for the zip module in the util.php file (in owncloud/lib starting at line 219) and it works like a charm. I presume I won't be able to create an archive copy of files for export or view zip files, but as I own the site this isn't a problem.


  • Similar Topics
    Replies
    Views
    Last post

Return to “ownCloud Community Edition 5.x and older”

Who is online

Users browsing this forum: No registered users and 4 guests